Index: code/trunk/src/orxonox/overlays/hud/AnnounceMessage.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/AnnounceMessage.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/AnnounceMessage.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _AnnounceMessage_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include "interfaces/GametypeMessageListener.h"
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport AnnounceMessage : public FadeoutText, public GametypeMessageListener
+    class _OverlaysExport AnnounceMessage : public FadeoutText, public GametypeMessageListener
     {
         public:
Index: code/trunk/src/orxonox/overlays/hud/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/overlays/hud/CMakeLists.txt	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/CMakeLists.txt	(revision 5693)
@@ -1,3 +1,3 @@
-ADD_SOURCE_FILES(ORXONOX_SRC_FILES
+ADD_SOURCE_FILES(OVERLAYS_SRC_FILES
   HUDBar.cc
   HUDNavigation.cc
Index: code/trunk/src/orxonox/overlays/hud/ChatOverlay.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/ChatOverlay.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/ChatOverlay.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _ChatOverlay_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include <list>
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport ChatOverlay : public OverlayText, public ChatListener
+    class _OverlaysExport ChatOverlay : public OverlayText, public ChatListener
     {
         public:
Index: code/trunk/src/orxonox/overlays/hud/DeathMessage.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/DeathMessage.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/DeathMessage.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _DeathMessage_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include "interfaces/GametypeMessageListener.h"
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport DeathMessage : public FadeoutText, public GametypeMessageListener
+    class _OverlaysExport DeathMessage : public FadeoutText, public GametypeMessageListener
     {
         public:
Index: code/trunk/src/orxonox/overlays/hud/GametypeStatus.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/GametypeStatus.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/GametypeStatus.h	(revision 5693)
@@ -30,12 +30,12 @@
 #define _GametypeStatus_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "overlays/OverlayText.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport GametypeStatus : public OverlayText, public Tickable
+    class _OverlaysExport GametypeStatus : public OverlayText, public Tickable
     {
         public:
Index: code/trunk/src/orxonox/overlays/hud/HUDBar.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/HUDBar.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/HUDBar.h	(revision 5693)
@@ -32,5 +32,5 @@
 #define _HUDBar_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include <map>
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport BarColour : public BaseObject
+    class _OverlaysExport BarColour : public BaseObject
     {
     public:
@@ -64,5 +64,5 @@
 
 
-    class _OrxonoxExport HUDBar : public OrxonoxOverlay
+    class _OverlaysExport HUDBar : public OrxonoxOverlay
     {
     public:
Index: code/trunk/src/orxonox/overlays/hud/HUDHealthBar.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/HUDHealthBar.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/HUDHealthBar.h	(revision 5693)
@@ -30,8 +30,8 @@
 #define _HUDHealthBar_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include "util/Math.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "overlays/OverlayText.h"
 #include "HUDBar.h"
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport HUDHealthBar : public HUDBar, public Tickable
+    class _OverlaysExport HUDHealthBar : public HUDBar, public Tickable
     {
         public:
Index: code/trunk/src/orxonox/overlays/hud/HUDNavigation.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/HUDNavigation.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/HUDNavigation.h	(revision 5693)
@@ -30,13 +30,13 @@
 #define _HUDNavigation_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include "util/OgreForwardRefs.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "overlays/OrxonoxOverlay.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport HUDNavigation : public OrxonoxOverlay, public Tickable
+    class _OverlaysExport HUDNavigation : public OrxonoxOverlay, public Tickable
     {
     public:
Index: code/trunk/src/orxonox/overlays/hud/HUDRadar.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/HUDRadar.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/HUDRadar.h	(revision 5693)
@@ -31,5 +31,5 @@
 #define _HUDRadar_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include <map>
@@ -43,5 +43,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport HUDRadar : public OrxonoxOverlay, public RadarListener
+    class _OverlaysExport HUDRadar : public OrxonoxOverlay, public RadarListener
     {
     public:
Index: code/trunk/src/orxonox/overlays/hud/HUDSpeedBar.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/HUDSpeedBar.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/HUDSpeedBar.h	(revision 5693)
@@ -31,12 +31,12 @@
 #define _HUDSpeedBar_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "HUDBar.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport HUDSpeedBar : public HUDBar, public Tickable
+    class _OverlaysExport HUDSpeedBar : public HUDBar, public Tickable
     {
     public:
Index: code/trunk/src/orxonox/overlays/hud/HUDTimer.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/HUDTimer.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/HUDTimer.h	(revision 5693)
@@ -30,12 +30,12 @@
 #define _HUDTimer_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "overlays/OverlayText.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport HUDTimer : public OverlayText, public Tickable
+    class _OverlaysExport HUDTimer : public OverlayText, public Tickable
     {
     public:
Index: code/trunk/src/orxonox/overlays/hud/KillMessage.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/KillMessage.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/KillMessage.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _KillMessage_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include "interfaces/GametypeMessageListener.h"
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport KillMessage : public FadeoutText, public GametypeMessageListener
+    class _OverlaysExport KillMessage : public FadeoutText, public GametypeMessageListener
     {
         public:
Index: code/trunk/src/orxonox/overlays/hud/PongScore.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/PongScore.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/PongScore.h	(revision 5693)
@@ -30,12 +30,12 @@
 #define _PongScore_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "overlays/OverlayText.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport PongScore : public OverlayText, public Tickable
+    class _OverlaysExport PongScore : public OverlayText, public Tickable
     {
         public:
Index: code/trunk/src/orxonox/overlays/hud/TeamBaseMatchScore.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/TeamBaseMatchScore.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/TeamBaseMatchScore.h	(revision 5693)
@@ -30,12 +30,12 @@
 #define _TeamBaseMatchScore_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "overlays/OverlayText.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport TeamBaseMatchScore : public OverlayText, public Tickable
+    class _OverlaysExport TeamBaseMatchScore : public OverlayText, public Tickable
     {
         public:
Index: code/trunk/src/orxonox/overlays/hud/UnderAttackHealthBar.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/UnderAttackHealthBar.h	(revision 3325)
+++ code/trunk/src/orxonox/overlays/hud/UnderAttackHealthBar.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _UnderAttackHealthBar_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include "util/Math.h"
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport UnderAttackHealthBar : public HUDHealthBar
+    class _OverlaysExport UnderAttackHealthBar : public HUDHealthBar
     {
         public:
